function cds = FindCandidates_v2(data,PSFsigma,Photons,Pixels)

data(data<=0) = 1E-3;

in=dip_image(permute(data,[2 1 3]));
sz = round(Pixels/2);
thresh=(1/4)*Photons*(erf(sz/2/PSFsigma)/sz^2);
im_unif=unif(in,[sz sz 0],'rectangular')-unif(in,[2*sz 2*sz 0],'rectangular');
im_max=(im_unif>=.999*maxf(im_unif,[Pixels Pixels 0],'rectangular'))&(im_unif>thresh);
cds=findcoord(im_max);