clear all

basedir = 'D:\rnieuwenhuizen\Experimental results\Challenge ISBI2013\';
t1 = tic;
% Snow dataset
% fname = 'ContestDataSets\1LS\data_1LS.ics';
% fname = 'ContestDataSets\2LS\data_2LS.ics';
fname = 'ContestDataSets\3LS\data_3LS.ics';
fname = 'RealDataSets\RealLS\data_RealLS.ics';

pixelsz = 100;                              % Contest data LS1, LS3, and RealLS             
% pixelsz = 150;                              % Contest data LS2

bg = 100;                                   % Contest data LS1, LS2, LS3 and RealLS

gain = 0.5;                                 % Data RealLS
% gain = 1;                                   % Contest data LS1 & LS3
% gain = 2;                                   % Contest data LS2

% PSF_FWHM = 224.32/pixelsz;                  % Contest data LS1
% PSF_FWHM = 0.873*2*sqrt(2*log(2));          % Contest data LS2
PSF_FWHM = 1.0*2*sqrt(2*log(2));            % Contest data LS3, RealLS

% Photons = 2900;                             % Contest data LS1
% Photons = 1900;                             % Contest data LS2
% Photons = 1000;                             % Contest data LS3
Photons = 3000;                             % Data RealLS
zm = 10;
[coords,lowres,highresHist1] = superresreconstruct_ics([basedir fname],bg,gain,PSF_FWHM,Photons,zm);
toc(t1)

% coords = coords(coords(:,5)<0.07,:);        % Contest data LS1
% coords = coords(coords(:,5)<0.06,:);        % Contest data LS2
coords = coords(coords(:,5)<0.15,:);        % Data RealLS

dipshow(lowres)
dipshow(gaussf(highresHist1,1)); colormap('hot');

fname_out = [basedir fname(1:end-4) num2str(datestr(now,'yyyymmddTHHMM')) '.csv']
fid = fopen(fname_out,'w');
% fprintf(fid,'%e; %e; %e; %e;\n',Xt,Yt,T,intCollect);
coords(:,1:2) = coords(:,1:2)*pixelsz;
fprintf(fid,'%e; %e; %e; %e;\n',coords(:,1:4)');
fclose(fid);

